Package org.apache.felix.configurator.impl.json

## Class BinUtil

- java.lang.Object
- - org.apache.felix.configurator.impl.json.BinUtil

    public class BinUtil
    extends Object

### Nested Class Summary

Nested Classes
`static interface` `BinUtil.ResourceProvider`

### Field Summary

Fields
`static File` `binDirectory`

### Constructor Summary

Constructors
`BinUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static File` `extractFile​(BinUtil.ResourceProvider provider, String pid, String path)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### binDirectory

    public static volatile File binDirectory

### Constructor Detail

#### BinUtil

    public BinUtil()

### Method Detail

#### extractFile

    public static File extractFile​(BinUtil.ResourceProvider provider,
                                   String pid,
                                   String path)
                            throws IOException

Throws:
  `IOException`